# Enum Class SameSiteCookies

java.lang.Object
java.lang.Enum<SameSiteCookies>
org.apache.tomcat.util.http.SameSiteCookies

All Implemented Interfaces:
  `Serializable`, `Comparable<SameSiteCookies>`, `Constable`

public enum SameSiteCookies extends Enum<SameSiteCookies>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`LAX`
Cookie is only sent on same-site requests and cross-site top level navigation GET requests
`NONE`
Cookie is always sent in cross-site requests.
`STRICT`
Prevents the cookie from being sent by the browser in all cross-site requests
`UNSET`
Don't set the SameSite cookie attribute.

## Method Summary

Modifier and Type
Method
Description
`static SameSiteCookies`
`fromString(String value)`
`String`
`getValue()`
`static SameSiteCookies`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SameSiteCookies[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSET

public static final SameSiteCookies UNSET
Don't set the SameSite cookie attribute.

### NONE

public static final SameSiteCookies NONE
Cookie is always sent in cross-site requests.

### LAX

public static final SameSiteCookies LAX
Cookie is only sent on same-site requests and cross-site top level navigation GET requests

### STRICT

public static final SameSiteCookies STRICT
Prevents the cookie from being sent by the browser in all cross-site requests

## Method Details

### values

public static SameSiteCookies[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SameSiteCookies valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getValue

public String getValue()

### fromString

public static SameSiteCookies fromString(String value)